<template>
    <StackLayout class="sideStackLayout">
        <DockLayout class="sideTitleLayout" stretchLastChild="true" height="110dpi">
            <Image class="imagen" src="~/assets/images/user.png" dock="left" width="70"/>
            <StackLayout marginLeft="20"  backgroundColor="rgba(255, 255, 255, 0.15)">
                <Label :text="user.name" textWrap="true" class="sideTitleLabel" fontSize="18" marginTop="20" marginRight="8"></Label>
                <Label :text="user.email" textWrap="true" class="sideTitleLabel" fontSize="15" color="#aaaaaa" marginRight="8"></Label>    
            </StackLayout>            
        </DockLayout>
        <ItemListSideDrawer 
        v-for="(item, index) in items" 
        :key="index" :index="index" 
        :item="item" 
        @tapedPage="tapedPage(index)">
        </ItemListSideDrawer>
    </StackLayout>            
</template>

<script>
import ListPage from '../pages/ListPage';
import IncidencesPage from '../pages/IncidencesPage';
import ItemListSideDrawer from './ItemListSideDrawer';
import store from '../store';
export default {
    components:{ItemListSideDrawer,IncidencesPage,ListPage},
    data(){
        return{
            items:[
                {
                    text:"Lista de tareas"
                },
                {
                    text:"Reportar accidente o incidencia"
                },
            ],
        }
    },
    computed:{
        user(){
            return store.getters.getUser;
        }
    },
    methods: {
        tapedPage(index){
            console.log(index);
            // store.dispatch('setPage', index);
            store.dispatch('setSelectedPage', {noItems: this.items.length, index:index});
            if(index == 0){
                this.$navigateTo(ListPage);
            }else{
                this.$navigateTo(IncidencesPage);
            }
        }
    }
}
</script>

<style scoped>
    .sideTitleLayout{
        background-color: #490d66;
        color: white;
    }
    /* estilos para el titulo */
    .sideTitleLabel{
        margin-bottom: 30px;
        margin-left: 10px;
        margin-top: 20px;
    }

    .imagen{
        stretch: fill;
        width: 70;
        height: 70;
        border-width: 3;
        border-color:#22d3dd;
        border-radius: 100%;
        margin-left: 50px;
    }

    .sideStackLayout{
        background-color: #22d3dd
    }
</style>

